Page MenuHome

File Browser blocks and use secondary windows instead of create a new one
Closed, ArchivedPublic

Description

System Information
Operating system: Windows 10

Blender Version
Broken: last 2.81alpha build in my PC

I have trying the new file browser when I see that If I open some old scene with two windows layout, for example a secondary UV editor, and try to open a new archirve, or save the actual file. Blender changes the size of the secondary window, blocks for a long time (10-20seconds) and then it create the file browser window.

If I don't have any other windows only blocks.

Details

Type
Bug

Event Timeline

William Reynish (billreynish) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Sep 3 2019, 9:58 PM

If I don't have any other windows only blocks.

What is a 'block' ?

Freeze the blender app 10-20 seconds

Also the perfomance when I move the windows of the filebrowser is really bad

Could you please provide a .blend file demonstrating the issue? It's not too clear to me how to recreate the issue. Not being able to confirm can in this case mean that I'm doing something wrong, or that the issue only occurs for a specific file version or system configuration. Just send me a file and there's a lot less guess work involved :)

I go to see how to replicate the problem.

I have tried to save the file with 2.81 and open again to see if it solves the problems, but it didn't

Here you have the file that show the problem every time

Can't recreate on Debian. This does smell a bit like a GPU driver issue though.

Julian Eisel (Severin) raised the priority of this task from Needs Information from User to Waiting for Developer to Reproduce.Sep 4 2019, 1:18 AM

I can tell that i tried the branch days before an always found that problems when i tried to open the file browser. For that reason I was surprised when I see the branch merged

The graphic card is a nvidia 1060GTX, i can't search drivers now

The problem with freeze blender is happening to me with daily builds to open a simple image in a material or import a obj.

@Julian Eisel (Severin) I have created a video to show the problem of the change of the secondary window to the file browser, but instead of that I pick other bugs with the last windows 64 builds (I made 20 minutes ago)

  • 00:27 convert the preferences windows in export keymap (maybe this is by design)
  • 00:38 click in cancel in the file browser, it freezes and I force close program
  • 00:57 Randomly blender needs a lot of time to run. Instead of the few seconds that you can see at the first run in the video it needs 15-20 seconds
  • 01:46 Filebroser freeze the program when I try to export the keymap, it resume in the 02:15
  • 02:50 it freeze again

I share my configs if it can be part of the problem.

The part of the slow opening of blender happens also with 2.80

I don't know the reason, but it appear to be more longer each day, first days it was 2-3 seconds.

Tried with your settings, still wasn't able to reproduce on Windows.

I understand that this is a frustrating issue for you. But I'm sure you also understand that there's not much for me to do without being able to reproduce.
Really, the best explanation I have is that this is a graphics driver bug. So I repeat my suggesting to try updating graphics drivers (or downgrading if you're already using the latest).

@LazyDodo (LazyDodo) I assume we'd have gotten many more reports if this was a general Windows issue, but would you mind giving it a quick whirl to be safe?

No, I understand. Could be a problem with drivers... but in that case it's a problem with drivers only with the 2.81 since the file browser branch was merged and that only happens with the filebrowser editor.

I will try to update or downgrade

Well you also experienced issues with opening Blender. Such things suggest there's something wrong with OpenGL context/frambebuffer management.

Drivers tested
430.64 - Same problem - I had this the last 5 months without problems until 2.81 with file browser
436.15 - Same problem - Newest drivers from nvidia website
431.86 - Same problem - Latest Studio driver
417.22 - Same problem - Oldest drivers that I can download from nvidia website

I have a nvidia 1060GTX with 6Gb of Vram since 2 years ago, one of the most common graphic cards. Without any problem until now. I could understand that the drivers are the origin of the problem with create new blender instances... but could be the origin of the problem that blender uses other windows to create the file browser window?

New thing that I have seen... Happens the same if I try to change the area type to file browser. I have tried to replicate the problem with any other area. No problem. When I tried to switch to file browser it freeze blender 2 of 4 times.

Other thing. I have deleted all my config of 2.81, the problem running blender doesn't happen in 30 tests. I put the config that I upload before, first time, first problem. SO I think that the problem is clearly my preferences/addons.

Maybe all this must be divide in various bugs reports.

Ok, the problem running blender appear to be "solved".

The problem is the bookmarks file that keep a recent folders used. One of them is a network path, to my nas, so for some reason blender appear to wait that my nas answer or that windows desist to connect. Like that recent folder is of a NAS that I have in other house he will never find.

I suppose that it's the origin of that problem because when I delete that line of the bookmarks the problems appear to be solved.

Of course no the origin of the problems with file browser that I talk in this thread.

Of course no the origin of the problems with file browser that I talk in this thread.

Can't tell what you mean by that sentence :)

If it wasn't for that last sentence I would close this report, as the issue stems from a unavailable network drive. That is a known issue unfortunately: T37051#159752

Julian Eisel (Severin) lowered the priority of this task from Waiting for Developer to Reproduce to Needs Information from User.Sep 9 2019, 11:31 AM

The bug is about that

  • blender convert a secondary window with other editor, like UV editor, in the file browser, instead of open one file browser in a new window.
  • blender freeze randomly when I open/close the file browser.

The problem with network drive could be the origin of the last problem, but not the first. Also, like I told, I never had the "freeze" problem with 2.80 when I try to save/open/import/export before the new filebrowser branch merged, also when I had the same nas folder in the recent folders list.

The first one isn't a bug, Blender handled temporary windows that way before, we just kept using that convention. It's something we want to change now though, see T69652.

Regarding the second one - although the network drive might explain the freeze on open, it's weird to have it on close too. Maybe we do an unnecessary refresh of the file-list then.
@Bastien Montagne (mont29) does that ring any bell for you?

Julian Eisel (Severin) raised the priority of this task from Needs Information from User to Waiting for Developer to Reproduce.Sep 9 2019, 12:54 PM
Julian Eisel (Severin) lowered the priority of this task from Waiting for Developer to Reproduce to Needs Information from User.Sep 17 2019, 3:28 PM

@Alberto Velázquez (dcvertice) could you try opening the file browser in a 2.80 build and opening all panels in the left sidebar? We now have the Volumes panel open by default, that may be the thing accessing the network drive.

Bastien Montagne (mont29) claimed this task.

More than a week without reply or activity. Due to the policy of the tracker archiving for until required info/data are provided.

We cannot do much about stupid Windows blocking on access to network volumes, unfortunately…